### Enumeration

# WebKit PolicyError

#### Declaration

    error-domain WebKit.PolicyError

#### Description [src]

Enum values used to denote the various policy errors.

#### Members

Name | Description
--- | ---
`WEBKIT_POLICY_ERROR_FAILED` | Generic load failure due to policy error.
`WEBKIT_POLICY_ERROR_CANNOT_SHOW_MIME_TYPE` | Load failure due to unsupported mime type.
`WEBKIT_POLICY_ERROR_CANNOT_SHOW_URI` | Load failure due to URI that can not be shown.
`WEBKIT_POLICY_ERROR_FRAME_LOAD_INTERRUPTED_BY_POLICY_CHANGE` | Load failure due to frame load interruption by policy change.
`WEBKIT_POLICY_ERROR_CANNOT_USE_RESTRICTED_PORT` | Load failure due to port restriction.

#### Type functions

###### webkit_policy_error_quark

Gets the quark for the domain of policy errors.